public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/oct2py/
Date: Wed, 23 Nov 2016 07:46:42 +0000 (UTC)	[thread overview]
Message-ID: <1479887170.d27b5cd9c1c4ef67f73463206bd0e009ed5039db.soap@gentoo> (raw)

commit:     d27b5cd9c1c4ef67f73463206bd0e009ed5039db
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 23 07:45:35 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Nov 23 07:46:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d27b5cd9

dev-python/oct2py: Version bump to 3.6.0

Package-Manager: portage-2.3.2

 dev-python/oct2py/Manifest            |  1 +
 dev-python/oct2py/oct2py-3.6.0.ebuild | 66 +++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/oct2py/Manifest b/dev-python/oct2py/Manifest
index f405dc2..b1f9f0f 100644
--- a/dev-python/oct2py/Manifest
+++ b/dev-python/oct2py/Manifest
@@ -1,2 +1,3 @@
 DIST oct2py-1.3.0.tar.gz 321768 SHA256 f0cae7aae111631c0fffb7f2511ee14fb847b4f501340e8506b0805b50c32f28 SHA512 b9a8896fa463356a08dee7cd2db97bedd5487d93ed33fe73e2c5205118915eac86dcd51dea42dc7338a7f6486704d1c8cb3259c3d8a2b53230c50608d1d043d8 WHIRLPOOL f06214e8005281fec801856596f076a5ad0c35bc3bdc62db3057b320ac1ef8ab07a7f073c4e9ced62ce336c64e773128d333fd0bb26fb891ea6931b84ee22001
 DIST oct2py-3.3.3.tar.gz 666775 SHA256 0b881a25043d7be713dab5d38b0f96acef5a4cf8130e5726cb9a6bec78448180 SHA512 02c80be8480c5b846a4269155c54fbea1ce8642c8bba0ecb6074a2468b20b930f8ba6d5eaae6a8274a02c1c6719e5b96ee5a32c0c4c0697c028c98ffa327c8e5 WHIRLPOOL 6eb6802b07b55a2ad0d56a8728262e1bc5720a0d9fab04e5af3e961e6a68821e9c2b52905507439ba388d6761aea047d45526fb39d1e50ca3b2104b20c20eb27
+DIST oct2py-3.6.0.tar.gz 668836 SHA256 b356daf63a80c778fcf81b380c187863b86e9aae88f8321bb543c5512835c69f SHA512 f414a0231665bc3bedb7dcdaab8c86f32c140e5107ef80b70e2f99467e737d033de6ff492f2af7233671bff9b148475e0af4881c073ac727d0fd1228b7cf59b6 WHIRLPOOL 498b69f6292fe60b1035ea8ef587b3dc7b49fb4353bf31ce5f19ca3afc74a3b4bdcff7700d77d6bd8e6bf079c590114fee1c2f0352127745d162fc3f6be9b3b9

diff --git a/dev-python/oct2py/oct2py-3.6.0.ebuild b/dev-python/oct2py/oct2py-3.6.0.ebuild
new file mode 100644
index 00000000..b8a4d0d
--- /dev/null
+++ b/dev-python/oct2py/oct2py-3.6.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python to GNU Octave bridge"
+HOMEPAGE="
+	https://pypi.python.org/pypi/oct2py
+	http://pythonhosted.org/oct2py/
+	https://github.com/blink1073/oct2py"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+
+RDEPEND="
+	>=dev-python/numpy-1.7.1[${PYTHON_USEDEP}]
+	>=sci-libs/scipy-0.12[${PYTHON_USEDEP}]
+	>=sci-mathematics/octave-4.2.0"
+DEPEND="${RDEPEND}
+	doc? (
+		dev-python/sphinx-bootstrap-theme[${PYTHON_USEDEP}]
+		dev-python/numpydoc[${PYTHON_USEDEP}]
+	)
+	test? (
+		dev-python/nose[${PYTHON_USEDEP}]
+		dev-python/ipython[${PYTHON_USEDEP}]
+	)"
+
+python_prepare_all() {
+	# https://github.com/blink1073/oct2py/issues/77
+	sed \
+		-e 's:test_help:disabled:g' \
+		-i oct2py/tests/test_usage.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	if use doc; then
+		sphinx-build docs html || die
+	fi
+}
+
+python_test() {
+	unset DISPLAY
+	[[ ${EPYTHON} == python2.7 ]] && local OPTIONS="--with-doctest"
+	nosetests --exe -v oct2py ${OPTIONS} || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( html/. )
+	if use examples; then
+		docinto examples
+		dodoc -r example/.
+	fi
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2016-11-23  7:46 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-11-23  7:46 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-02 11:02 [gentoo-commits] repo/gentoo:master commit in: dev-python/oct2py/ Nowa Ammerlaan
2024-12-12  4:15 Michał Górny
2024-12-12  4:15 Michał Górny
2024-08-20  1:43 Michał Górny
2024-08-13  4:55 Michał Górny
2024-06-11  4:20 Michał Górny
2024-03-13  6:51 Michał Górny
2023-12-30 18:30 Michał Górny
2023-11-10 15:49 Andrew Ammerlaan
2023-03-16  4:03 Michał Górny
2022-11-14  4:44 Michał Górny
2022-11-08 14:14 Andrew Ammerlaan
2022-09-27 15:26 Andrew Ammerlaan
2020-09-05  6:08 Michał Górny
2020-09-02  9:12 Michał Górny
2019-12-04 17:15 Michał Górny
2018-06-09 14:09 Aaron Bauman
2018-04-26  3:01 Matt Turner
2018-02-25 21:52 Sergei Trofimovich
2017-08-19 22:39 Sebastien Fabbro
2017-06-11 20:54 David Seifert
2017-06-04 10:42 Agostino Sarubbo
2017-06-04 10:34 Agostino Sarubbo
2017-03-12 12:31 Zac Medico
2017-02-02 18:43 David Seifert
2015-10-21 13:41 Justin Lecher
2015-10-21 13:41 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1479887170.d27b5cd9c1c4ef67f73463206bd0e009ed5039db.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox